Project

General

Profile

Feature #2840

Oct 21st Plugin Major Updates

Added by Dominic Giglio over 5 years ago. Updated over 5 years ago.

Status:
Resolved
Priority name:
Normal
Category name:
Upgrades
Target version:
Start date:
2013-10-21
Due date:
% Done:

0%

Estimated time:

Description

Boone,

I am currently updating the following plugins in a topic branch on my local machine:

Custom sidebars
Jetpack
List Pages Shortcode
PhotoDropper
Rotating Tweets
Subscribe2
TablePress
The Events Calendar
ThreeWP Broadcast
Twitter Widget Pro
WP Security Scan
WP-PostRatings

These are the plugins identified on the 5th as those being upgraded for today's release.

Please let me know if you're already (or have already) done this and I'll stop and delete my topic branch. If I don't hear from you I am going to assume that I need to keep working on it and will notify you once the plugins are all updated and ready for a merge/push for today's release.

History

#1 Updated by Boone Gorges over 5 years ago

Hi Dom - No, I haven't done the updates, so please go ahead. Make sure that you're not updating past the major version promised on the 5th (so if we promised 1.5, you can upgrade to 1.5.x, but not to 1.6+). Thanks!

#2 Updated by Dominic Giglio over 5 years ago

Understood. I will finish the updates, merge and push them up. Then I'll notify you here so you know the new plugins are in the repo.

#3 Updated by Dominic Giglio over 5 years ago

Boone,

I've updated all the plugins with the exception of ThreeWP Broadcast. The updates have been pushed up to the repo so you can release whenever you're ready. I've also updated the spreadsheet to reflect these updates:

https://docs.google.com/spreadsheet/ccc?key=0Ap2ItX5DDHPddDExZU1QRGZqalhrM3lWdTExdFI4Y3c&usp=drive_web#gid=0

I will repeat this whole process on the 5th, but am hoping that my new plugin will be a little more feature rich by then to simplify things a little. I will update you on that progress in the appropriate ticket. None of the plugins had new major releases since the 5th, with the exception of ThreeWP Broadcast.

ThreeWP Broadcast was not updated because the version bumped from 1.32 to 2.4. I investigated on the plugin site and it appears that the 2.* versions are PHP5.4 only. I'm pretty sure we're still running PHP5.3 so I didn't update. Let me know if we can update or if this needs to go on the blacklist.

You can close this issue whenever you'd like.

Latest plugin update commits: https://github.com/castiron/cac/commits/1.5.x

#4 Updated by Boone Gorges over 5 years ago

Thanks, Dom. This looks good. Good catch on the ThreeWP Broadcast bit. You're correct that we're running 5.3.x. Can we add this plugin to the upgrade blacklist, with a note of explanation? We can then close this.

#5 Updated by Dominic Giglio over 5 years ago

  • Status changed from New to Resolved

I've appended it to the list of blacklisted plugins here on redmine:

http://redmine.gc.cuny.edu/documents/93

And will make sure I incorporate it into whatever blacklist solution I end up going with for the new updates plugin

Also available in: Atom PDF